Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002678TestLinkReportspublic2009-06-29 20:212010-01-13 21:42
Reporterbighux 
Assigned Tomhavlat 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.3 
Fixed in Version1.8.5 (bug fixing) 
Summary0002678: The Charts text are not displayed correctly
DescriptionThe texts from the charts Results by Keyword, Results by Tester, Results for Top Level Suites are unreadable. I tried with language French, English US and UK, I have the same problem.
See the attached screenshot.
My server : Apache 2.2 + PHP 5.2.9 + TestLink 1.8.3
Additional InformationThe solution is edit /lib/results/charts.inc.php line :
Line : $backgndColor =array('R' => 255, 'G' => 255, 'B' => 255);
into : $backgndColor =array('R' => 254, 'G' => 255, 'B' => 255);
(just decrease red minus 1)
After the charts background is white and the text is displayed.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox 3 and IE8
PHP Version5.2.9
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon bugTestLink.png [^] (86,617 bytes) 2009-06-29 20:21

- Relationships
has duplicate 0002680closedmhavlat Problem with Charts in 1.8.3 - Legends and X and Y axis 
related to 0002920closedfman Legend blurred in Charts report 

-  Notes
(0007395)
mhavlat (reporter)
2009-06-30 14:43

Toshi, could you look at? You are now charts specialist ;-) Thanks.
(0008447)
mhavlat (reporter)
2009-12-09 00:12

I used recommended solution for a fast fixing of the problem.
Toshi, feel free to investigate and improve it more under different issue.

Fixed on both 1.8 and HEAD.

- Issue History
Date Modified Username Field Change
2009-06-29 20:21 bighux New Issue
2009-06-29 20:21 bighux File Added: bugTestLink.png
2009-06-29 20:21 bighux Browser => Firefox 3 and IE8
2009-06-29 20:21 bighux PHP Version => 5.2.9
2009-06-30 14:43 mhavlat Note Added: 0007395
2009-06-30 14:43 mhavlat Assigned To => toshi
2009-06-30 14:43 mhavlat Severity minor => major
2009-06-30 14:43 mhavlat Status new => acknowledged
2009-06-30 14:43 mhavlat Relationship added has duplicate 0002680
2009-12-07 01:59 mhavlat Relationship added related to 0002920
2009-12-09 00:10 mhavlat Status acknowledged => assigned
2009-12-09 00:10 mhavlat Assigned To toshi => mhavlat
2009-12-09 00:12 mhavlat Note Added: 0008447
2009-12-09 00:12 mhavlat Status assigned => resolved
2009-12-09 00:12 mhavlat Fixed in Version => 1.8.5 (bug fixing)
2009-12-09 00:12 mhavlat Resolution open => fixed
2010-01-13 21:42 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker